Skip to main content
`Ctrl`+`K`

# MatSeqAIJRestoreArrayF90

Restores a matrix array that has been accessed with `MatSeqAIJGetArrayF90()`.

## Synopsis

    MatSeqAIJRestoreArrayF90(Mat x,{Scalar, pointer :: xx_v(:)},integer ierr)

Not Collective

## Input Parameters

- x - matrix

- xx_v - the Fortran90 pointer to the array

## Output Parameter

- ierr - error code

## Example of Usage

           PetscScalar, pointer xx_v(:)
           ....
           call MatSeqAIJGetArrayF90(x,xx_v,ierr)
           a = xx_v(3)
           call MatSeqAIJRestoreArrayF90(x,xx_v,ierr)

## See Also

Matrices, `Mat`, `MatSeqAIJGetArrayF90()`, `MatSeqAIJGetArray()`, `MatSeqAIJRestoreArray()`, `MatDenseRestoreArrayF90()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages